Name:           perl-Module-Locate
Version:        1.7
Release:        3%{?dist}
Summary:        Locate modules in the same fashion as "require" and "use"

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Module-Locate/
Source0:        http://www.cpan.org/authors/id/B/BR/BROQ/Module-Locate-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(Test::More)
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Using "locate()", return the path that "require" would find for a given
module or filename (it can also return a filehandle if a reference in @INC
has been used).  This means you can test for the existence, or find the
path for, modules without having to evaluate the code they contain.

This module also comes with accompanying utility functions that are used
within the module itself (except for "get_source") and are available for
import.


%prep
%setup -q -n Module-Locate-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Module/
%{_mandir}/man3/*.3*


%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.7-2.2
Rebuild for new perl

* Tue Oct 16 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.7-1.2
- add BR: perl(Test::More)

* Tue Oct 16 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.7-1.1
- correct license tag
- add BR: perl(ExtUtils::MakeMaker)

* Tue Jan 24 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.7-1
- First build.
